Commit 968182cc authored by Mauro Bender's avatar Mauro Bender

Update dependencies

parent 5e016016
...@@ -7,7 +7,7 @@ build_code: ...@@ -7,7 +7,7 @@ build_code:
- cd Example/ - cd Example/
- bundle install - bundle install
- bundle exec pod install - bundle exec pod install
- bundle exec scan --scheme Api-Example --code_coverage --derived_data_path build - bundle exec fastlane scan --scheme Api-Example --code_coverage --derived_data_path build
- bundle exec slather coverage -s --scheme Api-Example --workspace Api.xcworkspace --build-directory build --binary-basename Api Api.xcodeproj - bundle exec slather coverage -s --scheme Api-Example --workspace Api.xcworkspace --build-directory build --binary-basename Api Api.xcodeproj
- bundle exec slather coverage --html --output-directory test_output/coverage --scheme Api-Example --workspace Api.xcworkspace --build-directory build --binary-basename Api Api.xcodeproj - bundle exec slather coverage --html --output-directory test_output/coverage --scheme Api-Example --workspace Api.xcworkspace --build-directory build --binary-basename Api Api.xcodeproj
- cd .. - cd ..
......
...@@ -285,7 +285,7 @@ ...@@ -285,7 +285,7 @@
); );
runOnlyForDeploymentPostprocessing = 0; runOnlyForDeploymentPostprocessing = 0;
shellPath = /bin/sh; shellPath = /bin/sh;
shellScript = "diff \"${PODS_ROOT}/../Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n"; shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n";
showEnvVarsInLog = 0; showEnvVarsInLog = 0;
}; };
8A0587AC68B52035A45FD66B /* [CP] Embed Pods Frameworks */ = { 8A0587AC68B52035A45FD66B /* [CP] Embed Pods Frameworks */ = {
...@@ -315,7 +315,7 @@ ...@@ -315,7 +315,7 @@
); );
runOnlyForDeploymentPostprocessing = 0; runOnlyForDeploymentPostprocessing = 0;
shellPath = /bin/sh; shellPath = /bin/sh;
shellScript = "diff \"${PODS_ROOT}/../Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n"; shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n";
showEnvVarsInLog = 0; showEnvVarsInLog = 0;
}; };
C180C5D7E55D073D931ADCD1 /* [CP] Embed Pods Frameworks */ = { C180C5D7E55D073D931ADCD1 /* [CP] Embed Pods Frameworks */ = {
......
GIT GIT
remote: https://github.com/CocoaPods/CocoaPods.git remote: https://github.com/CocoaPods/CocoaPods.git
revision: 77f799101affbe4f92b705c62b0c1da5e8a1039d revision: 96f474f73c98fdca88f6988dea16ee96bf96b1cd
specs: specs:
cocoapods (1.1.0.rc.3) cocoapods (1.2.1.beta.1)
activesupport (>= 4.0.2, < 5) activesupport (>= 4.0.2, < 5)
claide (>= 1.0.1, < 2.0) claide (>= 1.0.1, < 2.0)
cocoapods-core (= 1.1.0.rc.3) cocoapods-core (= 1.2.1.beta.1)
cocoapods-deintegrate (>= 1.0.1, < 2.0) cocoapods-deintegrate (>= 1.0.1, < 2.0)
cocoapods-downloader (>= 1.1.1, < 2.0) cocoapods-downloader (>= 1.1.3, < 2.0)
cocoapods-plugins (>= 1.0.0, < 2.0) cocoapods-plugins (>= 1.0.0, < 2.0)
cocoapods-search (>= 1.0.0, < 2.0) cocoapods-search (>= 1.0.0, < 2.0)
cocoapods-stats (>= 1.0.0, < 2.0) cocoapods-stats (>= 1.0.0, < 2.0)
cocoapods-trunk (= 1.1.0.beta.1) cocoapods-trunk (>= 1.1.2, < 2.0)
cocoapods-try (>= 1.1.0, < 2.0) cocoapods-try (>= 1.1.0, < 2.0)
colored (~> 1.2) colored2 (~> 3.1)
escape (~> 0.0.4) escape (~> 0.0.4)
fourflusher (~> 2.0.1) fourflusher (~> 2.0.1)
gh_inspector (~> 1.0) gh_inspector (~> 1.0)
molinillo (~> 0.5.1) molinillo (~> 0.5.7)
nap (~> 1.0) nap (~> 1.0)
xcodeproj (>= 1.3.2, < 2.0) ruby-macho (~> 0.2.5)
xcodeproj (>= 1.4.1, < 2.0)
GEM GEM
remote: https://rubygems.org/ remote: https://rubygems.org/
specs: specs:
activesupport (4.2.7.1) CFPropertyList (2.3.5)
activesupport (4.2.8)
i18n (~> 0.7) i18n (~> 0.7)
json (~> 1.7, >= 1.7.7)
minitest (~> 5.1) minitest (~> 5.1)
thread_safe (~> 0.3, >= 0.3.4) thread_safe (~> 0.3, >= 0.3.4)
tzinfo (~> 1.1) tzinfo (~> 1.1)
addressable (2.4.0) addressable (2.5.0)
public_suffix (~> 2.0, >= 2.0.2)
babosa (1.0.2) babosa (1.0.2)
cert (1.4.3)
fastlane_core (>= 0.52.1, < 1.0.0)
spaceship (>= 0.34.2, < 1.0.0)
claide (1.0.1) claide (1.0.1)
clamp (0.6.5) clamp (0.6.5)
cocoapods-core (1.1.0.rc.3) cocoapods-core (1.2.1.beta.1)
activesupport (>= 4.0.2, < 5) activesupport (>= 4.0.2, < 5)
fuzzy_match (~> 2.0.4) fuzzy_match (~> 2.0.4)
nap (~> 1.0) nap (~> 1.0)
cocoapods-deintegrate (1.0.1) cocoapods-deintegrate (1.0.1)
cocoapods-downloader (1.1.1) cocoapods-downloader (1.1.3)
cocoapods-plugins (1.0.0) cocoapods-plugins (1.0.0)
nap nap
cocoapods-search (1.0.0) cocoapods-search (1.0.0)
cocoapods-stats (1.0.0) cocoapods-stats (1.0.0)
cocoapods-trunk (1.1.0.beta.1) cocoapods-trunk (1.1.2)
nap (>= 0.8, < 2.0) nap (>= 0.8, < 2.0)
netrc (= 0.7.8) netrc (= 0.7.8)
cocoapods-try (1.1.0) cocoapods-try (1.1.0)
colored (1.2) colored (1.2)
commander (4.4.0) colored2 (3.1.2)
commander (4.4.3)
highline (~> 1.7.2) highline (~> 1.7.2)
credentials_manager (0.16.2) domain_name (0.5.20170223)
colored
commander (>= 4.3.5)
highline (>= 1.7.1)
security
deliver (1.14.2)
credentials_manager (>= 0.16.1, < 1.0.0)
fastimage (~> 1.6)
fastlane_core (>= 0.52.1, < 1.0.0)
plist (>= 3.1.0, < 4.0.0)
spaceship (>= 0.35.0, < 1.0.0)
domain_name (0.5.20160826)
unf (>= 0.0.5, < 1.0.0) unf (>= 0.0.5, < 1.0.0)
dotenv (2.1.1) dotenv (2.2.0)
escape (0.0.4) escape (0.0.4)
excon (0.54.0) excon (0.55.0)
faraday (0.9.2) faraday (0.11.0)
multipart-post (>= 1.2, < 3) multipart-post (>= 1.2, < 3)
faraday-cookie_jar (0.0.6) faraday-cookie_jar (0.0.6)
faraday (>= 0.7.4) faraday (>= 0.7.4)
http-cookie (~> 1.0.0) http-cookie (~> 1.0.0)
faraday_middleware (0.10.0) faraday_middleware (0.11.0.1)
faraday (>= 0.7.4, < 0.10) faraday (>= 0.7.4, < 1.0)
fastimage (1.6.8) fastimage (2.1.0)
addressable (~> 2.3, >= 2.3.5) fastlane (2.21.0)
fastlane (1.105.3)
activesupport (< 5) activesupport (< 5)
addressable (>= 2.3, < 3.0.0) addressable (>= 2.3, < 3.0.0)
bundler (~> 1.12) babosa (>= 1.0.2, < 2.0.0)
cert (>= 1.4.3, < 2.0.0) bundler (>= 1.12.0, < 2.0.0)
credentials_manager (>= 0.16.2, < 1.0.0) colored
deliver (>= 1.14.2, < 2.0.0) commander (>= 4.4.0, < 5.0.0)
fastlane_core (>= 0.52.3, < 1.0.0) dotenv (>= 2.1.1, < 3.0.0)
frameit (>= 2.8.0, < 3.0.0) excon (>= 0.45.0, < 1.0.0)
gym (>= 1.11.3, < 2.0.0) faraday (~> 0.9)
krausefx-shenzhen (>= 0.14.10, < 1.0.0) faraday-cookie_jar (~> 0.0.6)
match (>= 0.8.1, < 1.0.0) faraday_middleware (~> 0.9)
fastimage (>= 1.6)
gh_inspector (>= 1.0.1, < 2.0.0)
google-api-client (~> 0.9.2)
highline (>= 1.7.2, < 2.0.0)
json (< 3.0.0)
mini_magick (~> 4.5.1)
multi_json
multi_xml (~> 0.5)
multipart-post (~> 2.0.0) multipart-post (~> 2.0.0)
pem (>= 1.3.2, < 2.0.0)
pilot (>= 1.10.1, < 2.0.0)
plist (>= 3.1.0, < 4.0.0) plist (>= 3.1.0, < 4.0.0)
produce (>= 1.2.1, < 2.0.0) rubyzip (>= 1.1.0, < 2.0.0)
scan (>= 0.13.1, < 1.0.0) security (= 0.1.3)
screengrab (>= 0.5.2, < 1.0.0)
sigh (>= 1.11.2, < 2.0.0)
slack-notifier (>= 1.3, < 2.0.0) slack-notifier (>= 1.3, < 2.0.0)
snapshot (>= 1.16.2, < 2.0.0)
spaceship (>= 0.36.0, < 1.0.0)
supply (>= 0.7.1, < 1.0.0)
terminal-notifier (>= 1.6.2, < 2.0.0) terminal-notifier (>= 1.6.2, < 2.0.0)
terminal-table (>= 1.4.5, < 2.0.0) terminal-table (>= 1.4.5, < 2.0.0)
tty-screen (~> 0.5.0)
word_wrap (~> 1.0.0) word_wrap (~> 1.0.0)
xcode-install (~> 2.0.0)
xcodeproj (>= 0.20, < 2.0.0) xcodeproj (>= 0.20, < 2.0.0)
xcpretty (>= 0.2.4, < 1.0.0) xcpretty (>= 0.2.4, < 1.0.0)
fastlane_core (0.52.3) xcpretty-travis-formatter (>= 0.0.3)
babosa
colored
commander (>= 4.4.0, <= 5.0.0)
credentials_manager (>= 0.16.2, < 1.0.0)
excon (>= 0.45.0, < 1.0)
gh_inspector (>= 1.0.1, < 2.0.0)
highline (>= 1.7.2)
json
multi_json
plist (>= 3.1.0, < 4.0.0)
rubyzip (~> 1.1.6)
terminal-table (>= 1.4.5, < 2.0.0)
fourflusher (2.0.1) fourflusher (2.0.1)
frameit (2.8.0)
deliver (> 0.3)
fastimage (~> 1.6.3)
fastlane_core (>= 0.52.1, < 1.0.0)
mini_magick (~> 4.5.1)
fuzzy_match (2.0.4) fuzzy_match (2.0.4)
gh_inspector (1.0.2) gh_inspector (1.0.3)
google-api-client (0.9.18) google-api-client (0.9.28)
addressable (~> 2.3) addressable (~> 2.3)
googleauth (~> 0.5) googleauth (~> 0.5)
httpclient (~> 2.7) httpclient (~> 2.7)
...@@ -147,92 +119,44 @@ GEM ...@@ -147,92 +119,44 @@ GEM
multi_json (~> 1.11) multi_json (~> 1.11)
os (~> 0.9) os (~> 0.9)
signet (~> 0.7) signet (~> 0.7)
gym (1.11.3)
fastlane_core (>= 0.52.1, < 1.0.0)
plist (>= 3.1.0, < 4.0.0)
rubyzip (>= 1.1.7)
terminal-table (>= 1.4.5, < 2.0.0)
xcpretty (>= 0.2.4, < 1.0.0)
highline (1.7.8) highline (1.7.8)
http-cookie (1.0.3) http-cookie (1.0.3)
domain_name (~> 0.5) domain_name (~> 0.5)
httpclient (2.8.2.4) httpclient (2.8.3)
hurley (0.2) hurley (0.2)
i18n (0.7.0) i18n (0.8.1)
json (1.8.3) json (2.0.3)
jwt (1.5.6) jwt (1.5.6)
krausefx-shenzhen (0.14.10)
commander (>= 4.3, < 5.0)
dotenv (>= 0.7)
faraday (~> 0.9)
faraday_middleware (~> 0.9)
highline (>= 1.7.2)
json (~> 1.8)
net-sftp (~> 2.1.2)
plist (~> 3.1.0)
rubyzip (~> 1.1)
security (~> 0.1.3)
terminal-table (~> 1.4.5)
little-plugger (1.1.4) little-plugger (1.1.4)
logging (2.1.0) logging (2.2.0)
little-plugger (~> 1.1) little-plugger (~> 1.1)
multi_json (~> 1.10) multi_json (~> 1.10)
match (0.8.1)
cert (>= 1.4.3, < 2.0.0)
credentials_manager (>= 0.16.1, < 1.0.0)
fastlane_core (>= 0.52.1, < 1.0.0)
security
sigh (>= 1.11.2, < 2.0.0)
spaceship (>= 0.34.2, < 1.0.0)
memoist (0.15.0) memoist (0.15.0)
mime-types (3.1) mime-types (3.1)
mime-types-data (~> 3.2015) mime-types-data (~> 3.2015)
mime-types-data (3.2016.0521) mime-types-data (3.2016.0521)
mini_magick (4.5.1) mini_magick (4.5.1)
mini_portile2 (2.1.0) mini_portile2 (2.1.0)
minitest (5.9.1) minitest (5.10.1)
molinillo (0.5.1) molinillo (0.5.7)
multi_json (1.12.1) multi_json (1.12.1)
multi_xml (0.5.5) multi_xml (0.6.0)
multipart-post (2.0.0) multipart-post (2.0.0)
nanaimo (0.2.3)
nap (1.1.0) nap (1.1.0)
net-sftp (2.1.2)
net-ssh (>= 2.6.5)
net-ssh (3.2.0)
netrc (0.7.8) netrc (0.7.8)
nokogiri (1.6.8.1) nokogiri (1.6.8.1)
mini_portile2 (~> 2.1.0) mini_portile2 (~> 2.1.0)
os (0.9.6) os (0.9.6)
pem (1.3.2) plist (3.2.0)
fastlane_core (>= 0.43.1, < 1.0.0) public_suffix (2.0.5)
spaceship (>= 0.26.2, < 1.0.0)
pilot (1.10.1)
credentials_manager (>= 0.16.0)
fastlane_core (>= 0.52.1, < 1.0.0)
spaceship (>= 0.34.2, < 1.0.0)
terminal-table (~> 1.4.5)
plist (3.1.0)
produce (1.2.1)
fastlane_core (>= 0.52.1, < 1.0.0)
spaceship (>= 0.34.2, < 1.0.0)
representable (2.3.0) representable (2.3.0)
uber (~> 0.0.7) uber (~> 0.0.7)
retriable (2.1.0) retriable (2.1.0)
rouge (1.11.1) rouge (1.11.1)
rubyzip (1.1.7) ruby-macho (0.2.6)
scan (0.13.1) rubyzip (1.2.1)
fastlane_core (>= 0.52.1, < 1.0.0)
slack-notifier (~> 1.3)
terminal-table
xcpretty (>= 0.2.2)
xcpretty-travis-formatter (>= 0.0.3)
screengrab (0.5.5)
fastlane_core (>= 0.52.1, < 1.0.0)
security (0.1.3) security (0.1.3)
sigh (1.11.2)
fastlane_core (>= 0.52.1, < 1.0.0)
plist (~> 3.1)
spaceship (>= 0.34.2, < 1.0.0)
signet (0.7.3) signet (0.7.3)
addressable (~> 2.3) addressable (~> 2.3)
faraday (~> 0.9) faraday (~> 0.9)
...@@ -244,41 +168,25 @@ GEM ...@@ -244,41 +168,25 @@ GEM
clamp (~> 0.6) clamp (~> 0.6)
nokogiri (~> 1.6.3) nokogiri (~> 1.6.3)
xcodeproj (>= 0.20, < 2.0.0) xcodeproj (>= 0.20, < 2.0.0)
snapshot (1.16.2)
fastimage (~> 1.6.3)
fastlane_core (>= 0.52.1, < 1.0.0)
plist (~> 3.1.0)
xcpretty (>= 0.2.3)
spaceship (0.36.0)
colored
credentials_manager (>= 0.16.0)
faraday (~> 0.9)
faraday-cookie_jar (~> 0.0.6)
faraday_middleware (~> 0.9)
fastimage (~> 1.6)
multi_xml (~> 0.5)
plist (>= 3.1.0, < 4.0.0)
supply (0.7.1)
credentials_manager (>= 0.15.0)
fastlane_core (>= 0.43.4)
google-api-client (~> 0.9.1)
terminal-notifier (1.7.1) terminal-notifier (1.7.1)
terminal-table (1.4.5) terminal-table (1.7.3)
thread_safe (0.3.5) unicode-display_width (~> 1.1.1)
thread_safe (0.3.6)
tty-screen (0.5.0)
tzinfo (1.2.2) tzinfo (1.2.2)
thread_safe (~> 0.1) thread_safe (~> 0.1)
uber (0.0.15) uber (0.0.15)
unf (0.1.4) unf (0.1.4)
unf_ext unf_ext
unf_ext (0.0.7.2) unf_ext (0.0.7.2)
unicode-display_width (1.1.3)
word_wrap (1.0.0) word_wrap (1.0.0)
xcode-install (2.0.7) xcodeproj (1.4.2)
claide (>= 0.9.1, < 1.1.0) CFPropertyList (~> 2.3.3)
spaceship (>= 0.25.1, < 1.0.0)
xcodeproj (1.3.2)
activesupport (>= 3) activesupport (>= 3)
claide (>= 1.0.1, < 2.0) claide (>= 1.0.1, < 2.0)
colored (~> 1.2) colored (~> 1.2)
nanaimo (~> 0.2.3)
xcpretty (0.2.4) xcpretty (0.2.4)
rouge (~> 1.8) rouge (~> 1.8)
xcpretty-travis-formatter (0.0.4) xcpretty-travis-formatter (0.0.4)
......
...@@ -14,7 +14,7 @@ target 'Api_Tests' do ...@@ -14,7 +14,7 @@ target 'Api_Tests' do
pod 'Quick', '~> 0.10.0' pod 'Quick', '~> 0.10.0'
pod 'Nimble', '~> 5.0.0' pod 'Nimble', '~> 5.0.0'
pod 'Mockingjay', git: 'https://github.com/PotomacInnovation/Mockingjay.git', branch: 'feature/swift3-alamofire4' pod 'Mockingjay', '~> 2.0.0'
end end
post_install do |installer| post_install do |installer|
......
...@@ -2,12 +2,12 @@ PODS: ...@@ -2,12 +2,12 @@ PODS:
- Alamofire (4.0.1) - Alamofire (4.0.1)
- Api (0.1.0): - Api (0.1.0):
- Alamofire (~> 4.0.0) - Alamofire (~> 4.0.0)
- Mockingjay (1.2.1): - Mockingjay (2.0.0):
- Mockingjay/Core (= 1.2.1) - Mockingjay/Core (= 2.0.0)
- Mockingjay/XCTest (= 1.2.1) - Mockingjay/XCTest (= 2.0.0)
- Mockingjay/Core (1.2.1): - Mockingjay/Core (2.0.0):
- URITemplate (~> 2.0) - URITemplate (~> 2.0)
- Mockingjay/XCTest (1.2.1): - Mockingjay/XCTest (2.0.0):
- Mockingjay/Core - Mockingjay/Core
- Nimble (5.0.0) - Nimble (5.0.0)
- Quick (0.10.0) - Quick (0.10.0)
...@@ -15,30 +15,22 @@ PODS: ...@@ -15,30 +15,22 @@ PODS:
DEPENDENCIES: DEPENDENCIES:
- Api (from `../`) - Api (from `../`)
- Mockingjay (from `https://github.com/PotomacInnovation/Mockingjay.git`, branch `feature/swift3-alamofire4`) - Mockingjay (~> 2.0.0)
- Nimble (~> 5.0.0) - Nimble (~> 5.0.0)
- Quick (~> 0.10.0) - Quick (~> 0.10.0)
EXTERNAL SOURCES: EXTERNAL SOURCES:
Api: Api:
:path: "../" :path: "../"
Mockingjay:
:branch: feature/swift3-alamofire4
:git: https://github.com/PotomacInnovation/Mockingjay.git
CHECKOUT OPTIONS:
Mockingjay:
:commit: 8f214710e158dfc44395d60547b101a19ffa01ce
:git: https://github.com/PotomacInnovation/Mockingjay.git
SPEC CHECKSUMS: SPEC CHECKSUMS:
Alamofire: 7682d43245de14874acd142ec137b144aa1dd335 Alamofire: 7682d43245de14874acd142ec137b144aa1dd335
Api: c5fe03a8024546f754f81b85c940bb14adafa7bc Api: c5fe03a8024546f754f81b85c940bb14adafa7bc
Mockingjay: 8642850d8713bb81a6018f394c39f5887f91e389 Mockingjay: 7122a3fc0597aa63438e4cd9b71b7bc8aac05b87
Nimble: 56fc9f5020effa2206de22c3dd910f4fb011b92f Nimble: 56fc9f5020effa2206de22c3dd910f4fb011b92f
Quick: 5d290df1c69d5ee2f0729956dcf0fd9a30447eaa Quick: 5d290df1c69d5ee2f0729956dcf0fd9a30447eaa
URITemplate: a5acb3f76c6a2338116fde88b658d83f91bbac45 URITemplate: a5acb3f76c6a2338116fde88b658d83f91bbac45
PODFILE CHECKSUM: 4825a6a7bf27c30148fd9a0a957b4b4d3a68af59 PODFILE CHECKSUM: 82934ea1d0bf58cfe922c0e42a53dac345df8b7b
COCOAPODS: 1.1.0.rc.3 COCOAPODS: 1.2.1.beta.1
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment